upsert_teams_config
POST
/v1/integrations/teams
const url = 'https://api.adversarial.com/api/v1/integrations/teams';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"channel_name":"example","webhook_url":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/integrations/teams \ --header 'Content-Type: application/json' \ --data '{ "channel_name": "example", "webhook_url": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
channel_name
string | null
webhook_url
string | null
Examplegenerated
{ "channel_name": "example", "webhook_url": "example"}Responses
Section titled “Responses”Configuration updated
Media typeapplication/json
object
channel_name
required
string
Examplegenerated
{ "channel_name": "example"}Configuration created
Media typeapplication/json
object
channel_name
required
string
Examplegenerated
{ "channel_name": "example"}Invalid configuration